      PROGRAM DR_RKF45

      PARAMETER (NEQN = 2)
      INTEGER IFLAG,IWORK(5),NSTEP, I
      DOUBLE PRECISION WORK(3+6*NEQN), Y(NEQN),T,TOUT,RELERR,ABSERR,
     *     A, B, STEP
      
C     NUMBER OF EQUATIONS
c      NEQN = 1

C     INITIALIZATION
      IFLAG = 1

C     DESIRED ACCURACY
      RELERR = 1.D-08
      ABSERR = 1.D-08

C     INITIAL CONDITION
      Y(1) = 1.0D+00
c      Y(2) = 1.0D+00

C     INTERVAL OF INVESTIGATION
      A = 0.D+00
      B = 5.D+00

C     NUMBER OF STEP ON <A,B>
      NSTEP = 200
      STEP = (B-A) / NSTEP

c     STARTING POINT OF INTEGRATION
      T = A
      
      if( NEQN == 2) then
         WRITE(*,'(3e14.6,i5)') T,Y(1),Y(2),IFLAG
      else
         WRITE(*,'(2e14.6,i5)') T,Y(1),IFLAG
      endif

      DO I=1,NSTEP
         TOUT = T + STEP
         CALL RKF45(F,NEQN,Y,T,TOUT,RELERR,ABSERR,IFLAG,WORK,IWORK)


         if( NEQN == 2) then
            WRITE(*,'(3e14.6,i5)') T,Y(1),Y(2),IFLAG
         else
            WRITE(*,'(2e14.6,i5)') T,Y(1),IFLAG
         endif

         T = TOUT
      ENDDO
      END

      SUBROUTINE FUNC(NEQN,T,Y,YP)

      DOUBLE PRECISION  T,Y(NEQN),YP(NEQN)
      DOUBLE PRECISION alpha

      
      YP(1) = 998.0D+00 * Y(1) + 1998.D+00 * Y(2)
      YP(2) = -999.0D+00 * Y(1) - 1999.D+00 * Y(2)

      RETURN
      END




